#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
int main()
{
    vector<int> v(10);
    for (auto &i : v)
        cin >> i;
    int h;
    cin >> h;
    cout << count_if(v.begin(), v.end(), [&](const auto &x) { return h + 30 >= x; });
    return 0;
}
